Can't build Info (Monterey)

Scott Hannahs via Fink-users <[email protected]>
Newsgroups gmane.os.apple.fink.general
Message-ID <[email protected]>
When I try to build “info” on Mac OS Monterey, I get the following error about missing files.  I do have the command line tools installed but the system doesn’t report it since the receipt can’t be written into /System/Library/Receipts.

Which package is responsible for installing the Locale::Messages module??  I do have the dependency "locale-textdomain-pm” installed if that is the correct one.

-Scott




		make info-stnd.info 
restore=: && backupdir=".am$$" && \
	rm -rf $backupdir && mkdir $backupdir && \
	if (TEXINFO_DEV_SOURCE=1 ; export TEXINFO_DEV_SOURCE ; top_srcdir=".." ; export top_srcdir ; top_builddir=".." ; export top_builddir ; /usr/bin/perl ../tp/texi2any --version) >/dev/null 2>&1; then \
	  for f in info-stnd.info info-stnd.info-[0-9] info-stnd.info-[0-9][0-9] info-stnd.i[0-9] info-stnd.i[0-9][0-9]; do \
	    if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
	  done; \
	else :; fi && \
	if TEXINFO_DEV_SOURCE=1 ; export TEXINFO_DEV_SOURCE ; top_srcdir=".." ; export top_srcdir ; top_builddir=".." ; export top_builddir ; /usr/bin/perl ../tp/texi2any   -I . \
	 -o info-stnd.info `test -f 'info-stnd.texi' || echo './'`info-stnd.texi; \
	then \
	  rc=0; \
	else \
	  rc=$?; \
	  $restore $backupdir/* `echo "./info-stnd.info" | sed 's|[^/]*$||'`; \
	fi; \
	rm -rf $backupdir; exit $rc
Can't locate Locale/Messages.pm in @INC (you may need to install the Locale::Messages module) (@INC contains: ../tp/maintain/lib/Unicode-EastAsianWidth/lib ../tp/maintain ../tp/Texinfo/XS/parsetexi ../tp/Texinfo/XS ../tp ../tp /opt/sw/lib/perl5/5.30.3/darwin-thread-multi-2level /opt/sw/lib/perl5/5.30.3 /opt/sw/lib/perl5/darwin-thread-multi-2level /opt/sw/lib/perl5 /opt/sw/lib/perl5/darwin /Library/Perl/5.30/darwin-thread-multi-2level /Library/Perl/5.30 /Network/Library/Perl/5.30/darwin-thread-multi-2level /Network/Library/Perl/5.30 /Library/Perl/Updates/5.30.3 /System/Library/Perl/5.30/darwin-thread-multi-2level /System/Library/Perl/5.30 /System/Library/Perl/Extras/5.30/darwin-thread-multi-2level /System/Library/Perl/Extras/5.30) at ../tp/texi2any line 97.
BEGIN failed--compilation aborted at ../tp/texi2any line 97.
make: *** [info-stnd.info] Error 2
### execution of /tmp/fink.eKuL4 failed, exit code 2
### execution of /tmp/fink.iSncd failed, exit code 2
Removing runtime build-lock...
Removing build-lock package...
/opt/sw/bin/dpkg-lockwait -r fink-buildlock-texinfo-6.8-601
(Reading database ... 228785 files and directories currently installed.)
Removing fink-buildlock-texinfo-6.8-601 (2022.02.10-15.37.13) ...
Failed: phase compiling: texinfo-6.8-601 failed

Also include the following system information:
Package manager version: 0.45.99.git
Distribution version: selfupdate-git Thu Feb 10 15:19:31 2022, 12.0, x86_64
Trees: local/injected local/main stable/main
Xcode.app: 13.2.1
No recognized Xcode CLI installed
Max. Fink build jobs:  2

_______________________________________________
Fink-users mailing list
[email protected]
List archive:
https://sourceforge.net/p/fink/mailman/fink-users/
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.